Summary: A program to create true Linux virtual servers (DSVR version)
Name: freevsd
Version: 1.4.3
Release: 1
Copyright: GPL
Group: Applications/System
Source: ftp://ftp.freevsd.org/freevsd-1.4.3/freevsd-1.4.3.tar.gz
BuildRoot: /var/tmp/%{name}-root
Prefix: %{_prefix}

%description
FreeVSD facilitates true Linux Virtual Servers within a `chroot'
environment, allowing web servers and other applications to be
deployed and administered discretely, without compromise to security.
Each Virtual Server has its own IP address(es), Apache webserver,
and a view of the process table.  FreeVSD expands the Linux system
by creating a pseudo-`super user' (admin) for each Virtual Server.
The admin user has the ability to create extra POP3/FTP and Telnet
users and also administrate vital services such as the webserver.

%define freevsd_dir	freevsd-1.4.3

%package pkgs
Summary: FreeVSD third party packages
Copyright: GPL
Group: Applications/System

%description pkgs
Third party packages patched to create the pseudo-`super user' (admin).

%prep
%setup -q

%build
autoheader
autoconf
%configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
	--with-siteconf=/home/nick/freevsd-dsvr/vs2000 --enable-addons=/home/nick/freevsd-pkgs
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/{usr/bin,usr/sbin,usr/share}

cd $RPM_BUILD_DIR/%freevsd_dir
install contrib/vsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/vsd
make ROOT="${RPM_BUILD_ROOT}" install


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vsd
grep -q "vsd" /etc/services || echo "vsd 1725/tcp" >>/etc/services
grep -q "sbin/vsd" /etc/vsd-inetd.conf || echo "vsd stream tcp nowait novirtual root /usr/sbin/vsd vsd" >>/etc/vsd-inetd.conf

%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig --del vsd
fi

%triggerpostun -- freevsd
/sbin/chkconfig --add vsd

%files
%defattr(-,root,root)
%config /etc/rc.d/init.d/vsd
%config(noreplace) /etc/freevsd.conf
%config(noreplace) /etc/vsd.conf
%doc INSTALL NEWS README doc/*
%attr(4755, root, root) %{_prefix}/bin/bevs
%attr(0750, root, root) %{_prefix}/sbin/vsboot
%attr(0750, root, root) %{_prefix}/sbin/vsdadm
%attr(0750, root, root) %{_prefix}/sbin/vsd
%attr(0750, root, root) %{_prefix}/sbin/vsd-genskel.pl
%attr(0750, root, root) %{_prefix}/sbin/vsd-vsbatch.pl
%{_prefix}/share/freevsd/VSD.pm
%{_prefix}/share/freevsd/scripts
%{_prefix}/share/freevsd/skel-repo

%files pkgs
%{_prefix}/share/freevsd/pkgs

%changelog
* Thu Jul 06 2000  Nick Burrett <nick@dsvr.net>
- split into two rpms

* Wed May 31 2000  Nick Burrett <nick@dsvr.net>
- initial rpm build
